{% block layout_footer_newsletter %}
	<div class="footer-newsletter">
        <img src="{{ asset('/bundles/naturals/assets/images/footer-newsletter-bg.png', 'theme') }}" 
        alt="Footer newsletter background" 
        class="footer-newsletter-bg">

        <div class="container">
            <div class="row">
                {% block layout_footer_newsletter_text %}
                    <div class="col-12 col-md-6">
                        <div class="footer-newsletter-text">
                            {{ "footer.newsletter.text"|trans|sw_sanitize }}
                        </div>
                    </div>
                {% endblock %}

                <div class="col-12 col-md-6">
                    {% block layout_footer_newsletter_content %}
                        <div class="cms-block cms-block-form">
                            <div class="cms-element-form">
                                {% block element_form_newsletter_form_form %}
                                    <form action="{{ path('frontend.form.newsletter.register.handle') }}" method="post" data-form-csrf-handler="true" data-form-validation="true">
                                        <div class="form-content">
                                            {% block cms_form_newsletter_input_email %}
                                                <div class="footer-column-newsletter-input-email">
                                                    {% sw_include '@Storefront/storefront/element/cms-element-form/form-components/cms-element-form-input.html.twig'
                                                        with {
                                                            fieldName: 'email',
                                                            type: 'email',
                                                            required: true,
                                                            label: '',
                                                            placeholder: 'newsletter.placeholderMail'
                                                        }
                                                    %}
                                                </div>
                                            {% endblock %}

                                            {% block cms_form_newsletter_submit %}
                                                {% block cms_form_submit %}
                                                    <button type="submit" aria-label="Submit" class="btn btn-lg btn-secondary">
                                                        {{ "footer.newsletter.submit"|trans }}
                                                    </button>
                                                {% endblock %}
                                            {% endblock %}

                                            {# % block cms_form_newsletter_captcha %}{% endblock %#}
                                            {% block cms_form_newsletter_captcha %}
                                                {% sw_include '@Storefront/storefront/component/captcha/base.html.twig' with { 'captchas': config('core.basicInformation.activeCaptchas') } %}
                                            {% endblock %}

                                            {% block cms_form_newsletter_privacy %}
                                                <div class="footer-column-newsletter-privacy">
                                                    {% block cms_form_privacy_opt_in %}
                                                        {% set identifierTemplate = 'form-privacy-opt-in-%s' %}

                                                        {% block cms_form_privacy_opt_in_title %}
                                                            <div>
                                                                {{ "general.required"|trans }}
                                                                {{ "general.privacyNotice"|trans({
                                                                    '%url%': path('frontend.cms.page',{ id: config('core.basicInformation.privacyPage') })
                                                                })|raw }}
                                                            </div>
                                                        {% endblock %}

                                                        <div class="form-text privacy-notice custom-control custom-checkbox d-none">
                                                            {% block cms_form_privacy_opt_in_input %}
                                                                <input name="privacy"
                                                                    type="checkbox"
                                                                    class="custom-control-input"
                                                                    id="{{ identifierTemplate|format(_key) }}"
                                                                    checked
                                                                    required>
                                                            {% endblock %}

                                                            {% block cms_form_privacy_opt_in_label %}
                                                            {% endblock %}
                                                        </div>
                                                    {% endblock %}
                                                </div>
                                            {% endblock %}

                                            {#% block cms_form_newsletter_required_fields_info %}{% endblock %#}
                                        </div>

                                        {% block cms_form_newsletter_hidden_fields %}
                                            <div class="form-hidden-fields">
                                                {% block cms_form_newsletter_csrf %}
                                                    {{ sw_csrf('frontend.form.newsletter.register.handle') }}
                                                {% endblock %}

                                                <input type="hidden" name="option" value="{{ constant('Shopware\\Storefront\\Controller\\FormController::SUBSCRIBE') }}">

                                                <input type="submit" class="submit--hidden d-none" />
                                            </div>
                                        {% endblock %}
                                    </form>
                                {% endblock %}
                            </div>
                        </div>
                    {% endblock %}              
                </div>
            </div>
        </div>
	</div>
{% endblock %}